From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Link to gmp libraries only when they are needed
 On x86_64 libgmpxx is unused. This could be different on other
 architectures.
--- a/victor/vct/src/Makefile
+++ b/victor/vct/src/Makefile
@@ -114,7 +114,7 @@
 ifdef STATIC_GMP
   LDLIBS= -Xlinker -Bstatic -lgmpxx -lgmp -Xlinker -Bdynamic -static-libstdc++ -s
 else
-  LDLIBS= -lgmpxx -lgmp
+  LDLIBS= -Wl,--as-needed -lgmpxx -lgmp -Wl,--no-as-needed
 endif
 endif
 
